Zum Hauptinhalt springen
POST
/
v3
/
organizations
/
{org_id}
/
playbooks
Organisationsweites Playbook erstellen
curl --request POST \
  --url https://api.devin.ai/v3/organizations/{org_id}/playbooks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "body": "<string>",
  "title": "<string>",
  "macro": "<string>"
}
'
{
  "access_type": "enterprise",
  "body": "<string>",
  "created_at": 123,
  "created_by": "<string>",
  "macro": "<string>",
  "org_id": "<string>",
  "playbook_id": "<string>",
  "title": "<string>",
  "updated_at": 123,
  "updated_by": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

Berechtigungen

Erfordert einen Servicebenutzer, der über die Berechtigung ManageAccountPlaybooks für die angegebene Organisation verfügt.

Autorisierungen

Authorization
string
header
erforderlich

Servicebenutzer-Anmeldedaten (Präfix: cog_)

Body

application/json
body
string
erforderlich
title
string
erforderlich
macro
string | null

Playbook-Makrokennung. Muss mit '!' beginnen, gefolgt von einem oder mehreren Buchstaben, Ziffern, Unterstrichen oder Bindestrichen. Beispiel: '!my_macro' oder '!my-macro'

Antwort

Erfolgreiche Antwort

access_type
enum<string>
erforderlich
Verfügbare Optionen:
enterprise,
org
body
string
erforderlich
created_at
integer
erforderlich
created_by
string
erforderlich
macro
string | null
erforderlich
org_id
string | null
erforderlich
playbook_id
string
erforderlich
title
string
erforderlich
updated_at
integer
erforderlich
updated_by
string
erforderlich